import Vue from 'vue';
import Vuex from 'vuex';
import * as ustate from '@common/src/store/user/state';
import * as umutations from '@common/src/store/user/mutations';
import test from '@common/src/store/test';
import login from '@common/src/store/login';
// 重点实验室
import laboratory from '@common/src/store/laboratory';
// 研究方向
import direction from '@common/src/store/direction';
// 重要成果
import achievement from '@common/src/store/achievement';
// 承担项目明星
import task from '@common/src/store/task';
// 博硕培养情况
import doctor from '@common/src/store/doctor';
// 职称晋升
import title from '@common/src/store/title';
// 人才称号
import personnelname from '@common/src/store/personnelname';
// 设备
import equipment from '@common/src/store/equipment';
// 社会服务活动
import socialservices from '@common/src/store/socialservices';
// 技术服务活动
import technicalservice from '@common/src/store/technicalservice';
// 科普活动
import scienceactivities from '@common/src/store/scienceactivities';
// 提交报告
import report from '@common/src/store/report';
// 主任及科研助理
import assistant from '@common/src/store/assistant';
// 学术委员会
import committee from '@common/src/store/committee';
// 平台活动时间段
import times from '@common/src/store/times';
// 其他成果
import other from '@common/src/store/other';
// 论文发表
import paper from '@common/src/store/paper';
// 获奖情况
import patent from '@common/src/store/patent';

Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: {
    test,
    login,
    laboratory,
    direction,
    doctor,
    title,
    personnelname,
    equipment,
    socialservices,
    technicalservice,
    scienceactivities,
    report,
    assistant,
    committee,
    times,
    achievement,
    task,
    other,
    paper,
    patent,
  },
});
